Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network145.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
145.0.0.0
Broadcast address
145.255.255.255
First usable
145.0.0.1
Last usable
145.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
B (default /16)
As numbers
Hex 91000000 · Integer 2432696320 to 2449473535
Reverse DNS zone
145.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10010001..00000000.00000000.00000000145.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network10010001..00000000.00000000.00000000145.0.0.0
Broadcast10010001..11111111.11111111.11111111145.255.255.255
Split into smaller subnets/17

145.0.0.0/8 makes 512 subnets of /17; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1145.0.0.0/17145.0.0.1 to 145.0.127.254145.0.127.25532,766
2145.0.128.0/17145.0.128.1 to 145.0.255.254145.0.255.25532,766
3145.1.0.0/17145.1.0.1 to 145.1.127.254145.1.127.25532,766
4145.1.128.0/17145.1.128.1 to 145.1.255.254145.1.255.25532,766
5145.2.0.0/17145.2.0.1 to 145.2.127.254145.2.127.25532,766
6145.2.128.0/17145.2.128.1 to 145.2.255.254145.2.255.25532,766
7145.3.0.0/17145.3.0.1 to 145.3.127.254145.3.127.25532,766
8145.3.128.0/17145.3.128.1 to 145.3.255.254145.3.255.25532,766
9145.4.0.0/17145.4.0.1 to 145.4.127.254145.4.127.25532,766
10145.4.128.0/17145.4.128.1 to 145.4.255.254145.4.255.25532,766
11145.5.0.0/17145.5.0.1 to 145.5.127.254145.5.127.25532,766
12145.5.128.0/17145.5.128.1 to 145.5.255.254145.5.255.25532,766
13145.6.0.0/17145.6.0.1 to 145.6.127.254145.6.127.25532,766
14145.6.128.0/17145.6.128.1 to 145.6.255.254145.6.255.25532,766
15145.7.0.0/17145.7.0.1 to 145.7.127.254145.7.127.25532,766
16145.7.128.0/17145.7.128.1 to 145.7.255.254145.7.255.25532,766
17145.8.0.0/17145.8.0.1 to 145.8.127.254145.8.127.25532,766
18145.8.128.0/17145.8.128.1 to 145.8.255.254145.8.255.25532,766
19145.9.0.0/17145.9.0.1 to 145.9.127.254145.9.127.25532,766
20145.9.128.0/17145.9.128.1 to 145.9.255.254145.9.255.25532,766
21145.10.0.0/17145.10.0.1 to 145.10.127.254145.10.127.25532,766
22145.10.128.0/17145.10.128.1 to 145.10.255.254145.10.255.25532,766
23145.11.0.0/17145.11.0.1 to 145.11.127.254145.11.127.25532,766
24145.11.128.0/17145.11.128.1 to 145.11.255.254145.11.255.25532,766
25145.12.0.0/17145.12.0.1 to 145.12.127.254145.12.127.25532,766
26145.12.128.0/17145.12.128.1 to 145.12.255.254145.12.255.25532,766
27145.13.0.0/17145.13.0.1 to 145.13.127.254145.13.127.25532,766
28145.13.128.0/17145.13.128.1 to 145.13.255.254145.13.255.25532,766
29145.14.0.0/17145.14.0.1 to 145.14.127.254145.14.127.25532,766
30145.14.128.0/17145.14.128.1 to 145.14.255.254145.14.255.25532,766
31145.15.0.0/17145.15.0.1 to 145.15.127.254145.15.127.25532,766
32145.15.128.0/17145.15.128.1 to 145.15.255.254145.15.255.25532,766
33145.16.0.0/17145.16.0.1 to 145.16.127.254145.16.127.25532,766
34145.16.128.0/17145.16.128.1 to 145.16.255.254145.16.255.25532,766
35145.17.0.0/17145.17.0.1 to 145.17.127.254145.17.127.25532,766
36145.17.128.0/17145.17.128.1 to 145.17.255.254145.17.255.25532,766
37145.18.0.0/17145.18.0.1 to 145.18.127.254145.18.127.25532,766
38145.18.128.0/17145.18.128.1 to 145.18.255.254145.18.255.25532,766
39145.19.0.0/17145.19.0.1 to 145.19.127.254145.19.127.25532,766
40145.19.128.0/17145.19.128.1 to 145.19.255.254145.19.255.25532,766
41145.20.0.0/17145.20.0.1 to 145.20.127.254145.20.127.25532,766
42145.20.128.0/17145.20.128.1 to 145.20.255.254145.20.255.25532,766
43145.21.0.0/17145.21.0.1 to 145.21.127.254145.21.127.25532,766
44145.21.128.0/17145.21.128.1 to 145.21.255.254145.21.255.25532,766
45145.22.0.0/17145.22.0.1 to 145.22.127.254145.22.127.25532,766
46145.22.128.0/17145.22.128.1 to 145.22.255.254145.22.255.25532,766
47145.23.0.0/17145.23.0.1 to 145.23.127.254145.23.127.25532,766
48145.23.128.0/17145.23.128.1 to 145.23.255.254145.23.255.25532,766
49145.24.0.0/17145.24.0.1 to 145.24.127.254145.24.127.25532,766
50145.24.128.0/17145.24.128.1 to 145.24.255.254145.24.255.25532,766
51145.25.0.0/17145.25.0.1 to 145.25.127.254145.25.127.25532,766
52145.25.128.0/17145.25.128.1 to 145.25.255.254145.25.255.25532,766
53145.26.0.0/17145.26.0.1 to 145.26.127.254145.26.127.25532,766
54145.26.128.0/17145.26.128.1 to 145.26.255.254145.26.255.25532,766
55145.27.0.0/17145.27.0.1 to 145.27.127.254145.27.127.25532,766
56145.27.128.0/17145.27.128.1 to 145.27.255.254145.27.255.25532,766
57145.28.0.0/17145.28.0.1 to 145.28.127.254145.28.127.25532,766
58145.28.128.0/17145.28.128.1 to 145.28.255.254145.28.255.25532,766
59145.29.0.0/17145.29.0.1 to 145.29.127.254145.29.127.25532,766
60145.29.128.0/17145.29.128.1 to 145.29.255.254145.29.255.25532,766
61145.30.0.0/17145.30.0.1 to 145.30.127.254145.30.127.25532,766
62145.30.128.0/17145.30.128.1 to 145.30.255.254145.30.255.25532,766
63145.31.0.0/17145.31.0.1 to 145.31.127.254145.31.127.25532,766
64145.31.128.0/17145.31.128.1 to 145.31.255.254145.31.255.25532,766
65145.32.0.0/17145.32.0.1 to 145.32.127.254145.32.127.25532,766
66145.32.128.0/17145.32.128.1 to 145.32.255.254145.32.255.25532,766
67145.33.0.0/17145.33.0.1 to 145.33.127.254145.33.127.25532,766
68145.33.128.0/17145.33.128.1 to 145.33.255.254145.33.255.25532,766
69145.34.0.0/17145.34.0.1 to 145.34.127.254145.34.127.25532,766
70145.34.128.0/17145.34.128.1 to 145.34.255.254145.34.255.25532,766
71145.35.0.0/17145.35.0.1 to 145.35.127.254145.35.127.25532,766
72145.35.128.0/17145.35.128.1 to 145.35.255.254145.35.255.25532,766
73145.36.0.0/17145.36.0.1 to 145.36.127.254145.36.127.25532,766
74145.36.128.0/17145.36.128.1 to 145.36.255.254145.36.255.25532,766
75145.37.0.0/17145.37.0.1 to 145.37.127.254145.37.127.25532,766
76145.37.128.0/17145.37.128.1 to 145.37.255.254145.37.255.25532,766
77145.38.0.0/17145.38.0.1 to 145.38.127.254145.38.127.25532,766
78145.38.128.0/17145.38.128.1 to 145.38.255.254145.38.255.25532,766
79145.39.0.0/17145.39.0.1 to 145.39.127.254145.39.127.25532,766
80145.39.128.0/17145.39.128.1 to 145.39.255.254145.39.255.25532,766
81145.40.0.0/17145.40.0.1 to 145.40.127.254145.40.127.25532,766
82145.40.128.0/17145.40.128.1 to 145.40.255.254145.40.255.25532,766
83145.41.0.0/17145.41.0.1 to 145.41.127.254145.41.127.25532,766
84145.41.128.0/17145.41.128.1 to 145.41.255.254145.41.255.25532,766
85145.42.0.0/17145.42.0.1 to 145.42.127.254145.42.127.25532,766
86145.42.128.0/17145.42.128.1 to 145.42.255.254145.42.255.25532,766
87145.43.0.0/17145.43.0.1 to 145.43.127.254145.43.127.25532,766
88145.43.128.0/17145.43.128.1 to 145.43.255.254145.43.255.25532,766
89145.44.0.0/17145.44.0.1 to 145.44.127.254145.44.127.25532,766
90145.44.128.0/17145.44.128.1 to 145.44.255.254145.44.255.25532,766
91145.45.0.0/17145.45.0.1 to 145.45.127.254145.45.127.25532,766
92145.45.128.0/17145.45.128.1 to 145.45.255.254145.45.255.25532,766
93145.46.0.0/17145.46.0.1 to 145.46.127.254145.46.127.25532,766
94145.46.128.0/17145.46.128.1 to 145.46.255.254145.46.255.25532,766
95145.47.0.0/17145.47.0.1 to 145.47.127.254145.47.127.25532,766
96145.47.128.0/17145.47.128.1 to 145.47.255.254145.47.255.25532,766
97145.48.0.0/17145.48.0.1 to 145.48.127.254145.48.127.25532,766
98145.48.128.0/17145.48.128.1 to 145.48.255.254145.48.255.25532,766
99145.49.0.0/17145.49.0.1 to 145.49.127.254145.49.127.25532,766
100145.49.128.0/17145.49.128.1 to 145.49.255.254145.49.255.25532,766
101145.50.0.0/17145.50.0.1 to 145.50.127.254145.50.127.25532,766
102145.50.128.0/17145.50.128.1 to 145.50.255.254145.50.255.25532,766
103145.51.0.0/17145.51.0.1 to 145.51.127.254145.51.127.25532,766
104145.51.128.0/17145.51.128.1 to 145.51.255.254145.51.255.25532,766
105145.52.0.0/17145.52.0.1 to 145.52.127.254145.52.127.25532,766
106145.52.128.0/17145.52.128.1 to 145.52.255.254145.52.255.25532,766
107145.53.0.0/17145.53.0.1 to 145.53.127.254145.53.127.25532,766
108145.53.128.0/17145.53.128.1 to 145.53.255.254145.53.255.25532,766
109145.54.0.0/17145.54.0.1 to 145.54.127.254145.54.127.25532,766
110145.54.128.0/17145.54.128.1 to 145.54.255.254145.54.255.25532,766
111145.55.0.0/17145.55.0.1 to 145.55.127.254145.55.127.25532,766
112145.55.128.0/17145.55.128.1 to 145.55.255.254145.55.255.25532,766
113145.56.0.0/17145.56.0.1 to 145.56.127.254145.56.127.25532,766
114145.56.128.0/17145.56.128.1 to 145.56.255.254145.56.255.25532,766
115145.57.0.0/17145.57.0.1 to 145.57.127.254145.57.127.25532,766
116145.57.128.0/17145.57.128.1 to 145.57.255.254145.57.255.25532,766
117145.58.0.0/17145.58.0.1 to 145.58.127.254145.58.127.25532,766
118145.58.128.0/17145.58.128.1 to 145.58.255.254145.58.255.25532,766
119145.59.0.0/17145.59.0.1 to 145.59.127.254145.59.127.25532,766
120145.59.128.0/17145.59.128.1 to 145.59.255.254145.59.255.25532,766
121145.60.0.0/17145.60.0.1 to 145.60.127.254145.60.127.25532,766
122145.60.128.0/17145.60.128.1 to 145.60.255.254145.60.255.25532,766
123145.61.0.0/17145.61.0.1 to 145.61.127.254145.61.127.25532,766
124145.61.128.0/17145.61.128.1 to 145.61.255.254145.61.255.25532,766
125145.62.0.0/17145.62.0.1 to 145.62.127.254145.62.127.25532,766
126145.62.128.0/17145.62.128.1 to 145.62.255.254145.62.255.25532,766
127145.63.0.0/17145.63.0.1 to 145.63.127.254145.63.127.25532,766
128145.63.128.0/17145.63.128.1 to 145.63.255.254145.63.255.25532,766
129145.64.0.0/17145.64.0.1 to 145.64.127.254145.64.127.25532,766
130145.64.128.0/17145.64.128.1 to 145.64.255.254145.64.255.25532,766
131145.65.0.0/17145.65.0.1 to 145.65.127.254145.65.127.25532,766
132145.65.128.0/17145.65.128.1 to 145.65.255.254145.65.255.25532,766
133145.66.0.0/17145.66.0.1 to 145.66.127.254145.66.127.25532,766
134145.66.128.0/17145.66.128.1 to 145.66.255.254145.66.255.25532,766
135145.67.0.0/17145.67.0.1 to 145.67.127.254145.67.127.25532,766
136145.67.128.0/17145.67.128.1 to 145.67.255.254145.67.255.25532,766
137145.68.0.0/17145.68.0.1 to 145.68.127.254145.68.127.25532,766
138145.68.128.0/17145.68.128.1 to 145.68.255.254145.68.255.25532,766
139145.69.0.0/17145.69.0.1 to 145.69.127.254145.69.127.25532,766
140145.69.128.0/17145.69.128.1 to 145.69.255.254145.69.255.25532,766
141145.70.0.0/17145.70.0.1 to 145.70.127.254145.70.127.25532,766
142145.70.128.0/17145.70.128.1 to 145.70.255.254145.70.255.25532,766
143145.71.0.0/17145.71.0.1 to 145.71.127.254145.71.127.25532,766
144145.71.128.0/17145.71.128.1 to 145.71.255.254145.71.255.25532,766
145145.72.0.0/17145.72.0.1 to 145.72.127.254145.72.127.25532,766
146145.72.128.0/17145.72.128.1 to 145.72.255.254145.72.255.25532,766
147145.73.0.0/17145.73.0.1 to 145.73.127.254145.73.127.25532,766
148145.73.128.0/17145.73.128.1 to 145.73.255.254145.73.255.25532,766
149145.74.0.0/17145.74.0.1 to 145.74.127.254145.74.127.25532,766
150145.74.128.0/17145.74.128.1 to 145.74.255.254145.74.255.25532,766
151145.75.0.0/17145.75.0.1 to 145.75.127.254145.75.127.25532,766
152145.75.128.0/17145.75.128.1 to 145.75.255.254145.75.255.25532,766
153145.76.0.0/17145.76.0.1 to 145.76.127.254145.76.127.25532,766
154145.76.128.0/17145.76.128.1 to 145.76.255.254145.76.255.25532,766
155145.77.0.0/17145.77.0.1 to 145.77.127.254145.77.127.25532,766
156145.77.128.0/17145.77.128.1 to 145.77.255.254145.77.255.25532,766
157145.78.0.0/17145.78.0.1 to 145.78.127.254145.78.127.25532,766
158145.78.128.0/17145.78.128.1 to 145.78.255.254145.78.255.25532,766
159145.79.0.0/17145.79.0.1 to 145.79.127.254145.79.127.25532,766
160145.79.128.0/17145.79.128.1 to 145.79.255.254145.79.255.25532,766
161145.80.0.0/17145.80.0.1 to 145.80.127.254145.80.127.25532,766
162145.80.128.0/17145.80.128.1 to 145.80.255.254145.80.255.25532,766
163145.81.0.0/17145.81.0.1 to 145.81.127.254145.81.127.25532,766
164145.81.128.0/17145.81.128.1 to 145.81.255.254145.81.255.25532,766
165145.82.0.0/17145.82.0.1 to 145.82.127.254145.82.127.25532,766
166145.82.128.0/17145.82.128.1 to 145.82.255.254145.82.255.25532,766
167145.83.0.0/17145.83.0.1 to 145.83.127.254145.83.127.25532,766
168145.83.128.0/17145.83.128.1 to 145.83.255.254145.83.255.25532,766
169145.84.0.0/17145.84.0.1 to 145.84.127.254145.84.127.25532,766
170145.84.128.0/17145.84.128.1 to 145.84.255.254145.84.255.25532,766
171145.85.0.0/17145.85.0.1 to 145.85.127.254145.85.127.25532,766
172145.85.128.0/17145.85.128.1 to 145.85.255.254145.85.255.25532,766
173145.86.0.0/17145.86.0.1 to 145.86.127.254145.86.127.25532,766
174145.86.128.0/17145.86.128.1 to 145.86.255.254145.86.255.25532,766
175145.87.0.0/17145.87.0.1 to 145.87.127.254145.87.127.25532,766
176145.87.128.0/17145.87.128.1 to 145.87.255.254145.87.255.25532,766
177145.88.0.0/17145.88.0.1 to 145.88.127.254145.88.127.25532,766
178145.88.128.0/17145.88.128.1 to 145.88.255.254145.88.255.25532,766
179145.89.0.0/17145.89.0.1 to 145.89.127.254145.89.127.25532,766
180145.89.128.0/17145.89.128.1 to 145.89.255.254145.89.255.25532,766
181145.90.0.0/17145.90.0.1 to 145.90.127.254145.90.127.25532,766
182145.90.128.0/17145.90.128.1 to 145.90.255.254145.90.255.25532,766
183145.91.0.0/17145.91.0.1 to 145.91.127.254145.91.127.25532,766
184145.91.128.0/17145.91.128.1 to 145.91.255.254145.91.255.25532,766
185145.92.0.0/17145.92.0.1 to 145.92.127.254145.92.127.25532,766
186145.92.128.0/17145.92.128.1 to 145.92.255.254145.92.255.25532,766
187145.93.0.0/17145.93.0.1 to 145.93.127.254145.93.127.25532,766
188145.93.128.0/17145.93.128.1 to 145.93.255.254145.93.255.25532,766
189145.94.0.0/17145.94.0.1 to 145.94.127.254145.94.127.25532,766
190145.94.128.0/17145.94.128.1 to 145.94.255.254145.94.255.25532,766
191145.95.0.0/17145.95.0.1 to 145.95.127.254145.95.127.25532,766
192145.95.128.0/17145.95.128.1 to 145.95.255.254145.95.255.25532,766
193145.96.0.0/17145.96.0.1 to 145.96.127.254145.96.127.25532,766
194145.96.128.0/17145.96.128.1 to 145.96.255.254145.96.255.25532,766
195145.97.0.0/17145.97.0.1 to 145.97.127.254145.97.127.25532,766
196145.97.128.0/17145.97.128.1 to 145.97.255.254145.97.255.25532,766
197145.98.0.0/17145.98.0.1 to 145.98.127.254145.98.127.25532,766
198145.98.128.0/17145.98.128.1 to 145.98.255.254145.98.255.25532,766
199145.99.0.0/17145.99.0.1 to 145.99.127.254145.99.127.25532,766
200145.99.128.0/17145.99.128.1 to 145.99.255.254145.99.255.25532,766
201145.100.0.0/17145.100.0.1 to 145.100.127.254145.100.127.25532,766
202145.100.128.0/17145.100.128.1 to 145.100.255.254145.100.255.25532,766
203145.101.0.0/17145.101.0.1 to 145.101.127.254145.101.127.25532,766
204145.101.128.0/17145.101.128.1 to 145.101.255.254145.101.255.25532,766
205145.102.0.0/17145.102.0.1 to 145.102.127.254145.102.127.25532,766
206145.102.128.0/17145.102.128.1 to 145.102.255.254145.102.255.25532,766
207145.103.0.0/17145.103.0.1 to 145.103.127.254145.103.127.25532,766
208145.103.128.0/17145.103.128.1 to 145.103.255.254145.103.255.25532,766
209145.104.0.0/17145.104.0.1 to 145.104.127.254145.104.127.25532,766
210145.104.128.0/17145.104.128.1 to 145.104.255.254145.104.255.25532,766
211145.105.0.0/17145.105.0.1 to 145.105.127.254145.105.127.25532,766
212145.105.128.0/17145.105.128.1 to 145.105.255.254145.105.255.25532,766
213145.106.0.0/17145.106.0.1 to 145.106.127.254145.106.127.25532,766
214145.106.128.0/17145.106.128.1 to 145.106.255.254145.106.255.25532,766
215145.107.0.0/17145.107.0.1 to 145.107.127.254145.107.127.25532,766
216145.107.128.0/17145.107.128.1 to 145.107.255.254145.107.255.25532,766
217145.108.0.0/17145.108.0.1 to 145.108.127.254145.108.127.25532,766
218145.108.128.0/17145.108.128.1 to 145.108.255.254145.108.255.25532,766
219145.109.0.0/17145.109.0.1 to 145.109.127.254145.109.127.25532,766
220145.109.128.0/17145.109.128.1 to 145.109.255.254145.109.255.25532,766
221145.110.0.0/17145.110.0.1 to 145.110.127.254145.110.127.25532,766
222145.110.128.0/17145.110.128.1 to 145.110.255.254145.110.255.25532,766
223145.111.0.0/17145.111.0.1 to 145.111.127.254145.111.127.25532,766
224145.111.128.0/17145.111.128.1 to 145.111.255.254145.111.255.25532,766
225145.112.0.0/17145.112.0.1 to 145.112.127.254145.112.127.25532,766
226145.112.128.0/17145.112.128.1 to 145.112.255.254145.112.255.25532,766
227145.113.0.0/17145.113.0.1 to 145.113.127.254145.113.127.25532,766
228145.113.128.0/17145.113.128.1 to 145.113.255.254145.113.255.25532,766
229145.114.0.0/17145.114.0.1 to 145.114.127.254145.114.127.25532,766
230145.114.128.0/17145.114.128.1 to 145.114.255.254145.114.255.25532,766
231145.115.0.0/17145.115.0.1 to 145.115.127.254145.115.127.25532,766
232145.115.128.0/17145.115.128.1 to 145.115.255.254145.115.255.25532,766
233145.116.0.0/17145.116.0.1 to 145.116.127.254145.116.127.25532,766
234145.116.128.0/17145.116.128.1 to 145.116.255.254145.116.255.25532,766
235145.117.0.0/17145.117.0.1 to 145.117.127.254145.117.127.25532,766
236145.117.128.0/17145.117.128.1 to 145.117.255.254145.117.255.25532,766
237145.118.0.0/17145.118.0.1 to 145.118.127.254145.118.127.25532,766
238145.118.128.0/17145.118.128.1 to 145.118.255.254145.118.255.25532,766
239145.119.0.0/17145.119.0.1 to 145.119.127.254145.119.127.25532,766
240145.119.128.0/17145.119.128.1 to 145.119.255.254145.119.255.25532,766
241145.120.0.0/17145.120.0.1 to 145.120.127.254145.120.127.25532,766
242145.120.128.0/17145.120.128.1 to 145.120.255.254145.120.255.25532,766
243145.121.0.0/17145.121.0.1 to 145.121.127.254145.121.127.25532,766
244145.121.128.0/17145.121.128.1 to 145.121.255.254145.121.255.25532,766
245145.122.0.0/17145.122.0.1 to 145.122.127.254145.122.127.25532,766
246145.122.128.0/17145.122.128.1 to 145.122.255.254145.122.255.25532,766
247145.123.0.0/17145.123.0.1 to 145.123.127.254145.123.127.25532,766
248145.123.128.0/17145.123.128.1 to 145.123.255.254145.123.255.25532,766
249145.124.0.0/17145.124.0.1 to 145.124.127.254145.124.127.25532,766
250145.124.128.0/17145.124.128.1 to 145.124.255.254145.124.255.25532,766
251145.125.0.0/17145.125.0.1 to 145.125.127.254145.125.127.25532,766
252145.125.128.0/17145.125.128.1 to 145.125.255.254145.125.255.25532,766
253145.126.0.0/17145.126.0.1 to 145.126.127.254145.126.127.25532,766
254145.126.128.0/17145.126.128.1 to 145.126.255.254145.126.255.25532,766
255145.127.0.0/17145.127.0.1 to 145.127.127.254145.127.127.25532,766
256145.127.128.0/17145.127.128.1 to 145.127.255.254145.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses